package com.steering.pss.sale.order.model;

import java.util.ArrayList;

public class CreateUserAndMscParms {
	/**
	 * 产品规范码
	 */
	private String psc = "";
	/**
	 * 最终用户
	 */
	private String user = "";
	/**
	 * 冶金规范码
	 */
	private String msc = "";
	/**
	 * 外径
	 */
	private String dimater = "";
	/**
	 * 壁厚
	 */
	private String height = "";
	/**
	 * 扣型代码
	 */
	private String model = "";
	/**
	 * 评审单号
	 */
	private String reviewNumber = "";
	/**
	 * 客户编码
	 */
	private String custAlphaNoPhy = "";
	
	/**
	 * 交付标准索引号
	 */
	private String pic = "";
	/**
	 * 序号
	 */
	private String indexSeqPhy = "";
	
	private String custAlphaNoChem = "";
	private String cic = "";
	private String indexSeqChem = "";
	
	private String custAlphaNoDetection = "";
	private String dic = "";
	private String indexSeqDetection = "";
	
	private String custAlphaNoSpec = "";
	private String sic = "";
	private String indexSeqSpec = "";
	
	private String custAlphaNoWater = "";
	private String wic = "";
	private String indexSeqWater = "";
	
	private String custAlphaNoProcess = "";
	private String gic = "";
	private String indexSeqProcess = "";
	private String createName = "";
	private String departmentCode = "";
	private String departmentDesc = "";
	private String unitCode = "";
	private String unitDesc = "";
	private String unitCodeProcess = "";
	private String unitDescProcess = "";
	private String ordLnPk;
	private String custAlphaNo = "";
	private String useCode = "";
	private String specCode = "";
	private String specName = "";
	private ArrayList<Object> noSameData = null;
	
	public String getPsc() {
		return psc;
	}
	public void setPsc(String psc) {
		this.psc = psc;
	}
	public String getUser() {
		return user;
	}
	public void setUser(String user) {
		this.user = user;
	}
	public String getMsc() {
		return msc;
	}
	public void setMsc(String msc) {
		this.msc = msc;
	}
	public String getDimater() {
		return dimater;
	}
	public void setDimater(String dimater) {
		this.dimater = dimater;
	}
	public String getHeight() {
		return height;
	}
	public void setHeight(String height) {
		this.height = height;
	}
	public String getModel() {
		return model;
	}
	public void setModel(String model) {
		this.model = model;
	}
	public String getReviewNumber() {
		return reviewNumber;
	}
	public void setReviewNumber(String reviewNumber) {
		this.reviewNumber = reviewNumber;
	}
	public String getCustAlphaNoPhy() {
		return custAlphaNoPhy;
	}
	public void setCustAlphaNoPhy(String custAlphaNoPhy) {
		this.custAlphaNoPhy = custAlphaNoPhy;
	}
	public String getPic() {
		return pic;
	}
	public void setPic(String pic) {
		this.pic = pic;
	}
	public String getIndexSeqPhy() {
		return indexSeqPhy;
	}
	public void setIndexSeqPhy(String indexSeqPhy) {
		this.indexSeqPhy = indexSeqPhy;
	}
	public String getCustAlphaNoChem() {
		return custAlphaNoChem;
	}
	public void setCustAlphaNoChem(String custAlphaNoChem) {
		this.custAlphaNoChem = custAlphaNoChem;
	}
	public String getCic() {
		return cic;
	}
	public void setCic(String cic) {
		this.cic = cic;
	}
	public String getIndexSeqChem() {
		return indexSeqChem;
	}
	public void setIndexSeqChem(String indexSeqChem) {
		this.indexSeqChem = indexSeqChem;
	}
	public String getCustAlphaNoDetection() {
		return custAlphaNoDetection;
	}
	public void setCustAlphaNoDetection(String custAlphaNoDetection) {
		this.custAlphaNoDetection = custAlphaNoDetection;
	}
	public String getDic() {
		return dic;
	}
	public void setDic(String dic) {
		this.dic = dic;
	}
	public String getIndexSeqDetection() {
		return indexSeqDetection;
	}
	public void setIndexSeqDetection(String indexSeqDetection) {
		this.indexSeqDetection = indexSeqDetection;
	}
	public String getCustAlphaNoSpec() {
		return custAlphaNoSpec;
	}
	public void setCustAlphaNoSpec(String custAlphaNoSpec) {
		this.custAlphaNoSpec = custAlphaNoSpec;
	}
	public String getSic() {
		return sic;
	}
	public void setSic(String sic) {
		this.sic = sic;
	}
	public String getIndexSeqSpec() {
		return indexSeqSpec;
	}
	public void setIndexSeqSpec(String indexSeqSpec) {
		this.indexSeqSpec = indexSeqSpec;
	}
	public String getCustAlphaNoWater() {
		return custAlphaNoWater;
	}
	public void setCustAlphaNoWater(String custAlphaNoWater) {
		this.custAlphaNoWater = custAlphaNoWater;
	}
	public String getWic() {
		return wic;
	}
	public void setWic(String wic) {
		this.wic = wic;
	}
	public String getIndexSeqWater() {
		return indexSeqWater;
	}
	public void setIndexSeqWater(String indexSeqWater) {
		this.indexSeqWater = indexSeqWater;
	}
	public String getCustAlphaNoProcess() {
		return custAlphaNoProcess;
	}
	public void setCustAlphaNoProcess(String custAlphaNoProcess) {
		this.custAlphaNoProcess = custAlphaNoProcess;
	}
	public String getGic() {
		return gic;
	}
	public void setGic(String gic) {
		this.gic = gic;
	}
	public String getIndexSeqProcess() {
		return indexSeqProcess;
	}
	public void setIndexSeqProcess(String indexSeqProcess) {
		this.indexSeqProcess = indexSeqProcess;
	}
	public String getCreateName() {
		return createName;
	}
	public void setCreateName(String createName) {
		this.createName = createName;
	}
	public String getDepartmentCode() {
		return departmentCode;
	}
	public void setDepartmentCode(String departmentCode) {
		this.departmentCode = departmentCode;
	}
	public String getDepartmentDesc() {
		return departmentDesc;
	}
	public void setDepartmentDesc(String departmentDesc) {
		this.departmentDesc = departmentDesc;
	}
	public String getUnitCode() {
		return unitCode;
	}
	public void setUnitCode(String unitCode) {
		this.unitCode = unitCode;
	}
	public String getUnitDesc() {
		return unitDesc;
	}
	public void setUnitDesc(String unitDesc) {
		this.unitDesc = unitDesc;
	}
	public String getUnitCodeProcess() {
		return unitCodeProcess;
	}
	public void setUnitCodeProcess(String unitCodeProcess) {
		this.unitCodeProcess = unitCodeProcess;
	}
	public String getUnitDescProcess() {
		return unitDescProcess;
	}
	public void setUnitDescProcess(String unitDescProcess) {
		this.unitDescProcess = unitDescProcess;
	}
	public String getOrdLnPk() {
		return ordLnPk;
	}
	public void setOrdLnPk(String ordLnPk) {
		this.ordLnPk = ordLnPk;
	}
	
	public String getCustAlphaNo() {
		return custAlphaNo;
	}
	public void setCustAlphaNo(String custAlphaNo) {
		this.custAlphaNo = custAlphaNo;
	}
	
	public String getUseCode() {
		return useCode;
	}
	public void setUseCode(String useCode) {
		this.useCode = useCode;
	}
	
	public ArrayList<Object> getNoSameData() {
		return noSameData;
	}
	public void setNoSameData( ArrayList<Object> noSameData) {
		this.noSameData = noSameData;
	}
	
	public String getSpecCode() {
		return specCode;
	}
	public void setSpecCode(String specCode) {
		this.specCode = specCode;
	}
	public String getSpecName() {
		return specName;
	}
	public void setSpecName(String specName) {
		this.specName = specName;
	}
}
